import { Table, TableMetadata } from "@google-cloud/bigquery/build/src/table";
import { FirestoreBigQueryEventHistoryTrackerConfig } from ".";
interface TableRequiresUpdateOptions {
    table: Table;
    config: FirestoreBigQueryEventHistoryTrackerConfig;
    documentIdColExists: boolean;
    pathParamsColExists: boolean;
    oldDataColExists: boolean;
}
export declare function tableRequiresUpdate({ table, config, documentIdColExists, pathParamsColExists, oldDataColExists, }: TableRequiresUpdateOptions): Promise<boolean>;
interface ViewRequiresUpdateOptions {
    metadata?: TableMetadata;
    config: FirestoreBigQueryEventHistoryTrackerConfig;
    documentIdColExists: boolean;
    pathParamsColExists: boolean;
    oldDataColExists: boolean;
}
export declare function viewRequiresUpdate({ metadata, config, documentIdColExists, pathParamsColExists, oldDataColExists, }: ViewRequiresUpdateOptions): boolean;
export {};
