"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateProject = void 0;
const { ProjectsClient } = require("@google-cloud/resource-manager");
/* TODO: searchProjectsAsync sometimes returns {}.
 * Could be resource intensive, if checked on every records insert.
 */
const validateProject = async (id) => {
    let isValid = false;
    const client = new ProjectsClient();
    const projects = client.searchProjectsAsync();
    for await (const project of projects) {
        if (project.projectId === id) {
            isValid = true;
        }
    }
    return isValid;
};
exports.validateProject = validateProject;
