import { FirestoreBigQueryEventHistoryTrackerConfig } from ".";
import * as bigquery from "@google-cloud/bigquery";
import { TableMetadata } from "@google-cloud/bigquery";
export declare class Clustering {
    config: FirestoreBigQueryEventHistoryTrackerConfig;
    table: bigquery.Table;
    schema: object;
    constructor(config: FirestoreBigQueryEventHistoryTrackerConfig, table?: bigquery.Table, schema?: object);
    hasValidTableReference(): boolean;
    private hasInvalidFields;
    private updateCluster;
    private removeCluster;
    updateClustering: (metaData: TableMetadata) => Promise<void>;
}
